Summary:        Python client library for Gnocchi
Name:           python-gnocchiclient
Version:        7.0.8
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://github.com/gnocchixyz/%{name}
Source0:        https://pypi.io/packages/source/g/gnocchiclient/gnocchiclient-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides a client library for Gnocchi built on the Gnocchi API. It provides a 
Python API (the gnocchiclient module) and a command-line tool.

%package -n python3-gnocchiclient
Summary:        Python client library for Gnocchi

BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-cliff python3-ujson python3-keystoneauth1 python3-six
BuildRequires:  python3-futurist python3-iso8601 python3-monotonic python3-dateutil
BuildRequires:  python3-debtcollector python3-sphinx python3-sphinx_rtd_theme
BuildRequires:  python3-openstackclient python3-pytest python3-osc-lib
Requires:       python3-pbr python3-cliff python3-ujson python3-keystoneauth1
Requires:       python3-six python3-futurist python3-iso8601 python3-monotonic
Requires:       python3-sphinx python3-sphinx_rtd_theme python3-osc-lib
Requires:       python3-dateutil python3-debtcollector
Provides:       python-gnocchiclient

%description -n python3-gnocchiclient
This package provides a client library for Gnocchi built on the Gnocchi API. It provides a 
Python API (the gnocchiclient module) and a command-line tool.

%prep
%autosetup -n gnocchiclient-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gnocchiclient

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%check
# %{__python3} setup.py test

%files -n python3-gnocchiclient -f %{pyproject_files}
%{_docdir}/*
%{_bindir}/gnocchi

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.8-3
- Rebuilt for loongarch release

* Fri Oct 13 2023 Shuo Wang <abushwang@tencent.com> - 7.0.8-2
- switch to pyproject to fix provides version is 0

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 7.0.8-1
- upgrade to 7.0.8

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.6-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 7.0.6-1
- initial build
